---
lang: en
title: 'API docs: repository-tests.crudrepositorytestsuite'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository-tests.crudrepositorytestsuite.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-tests](./repository-tests.md) &gt; [crudRepositoryTestSuite](./repository-tests.crudrepositorytestsuite.md)

## crudRepositoryTestSuite() function

<b>Signature:</b>

```typescript
export declare function crudRepositoryTestSuite(dataSourceOptions: DataSourceOptions, repositoryClass: CrudRepositoryCtor, partialFeatures: Partial<CrudFeatures>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataSourceOptions | <code>DataSourceOptions</code> |  |
|  repositoryClass | <code>CrudRepositoryCtor</code> |  |
|  partialFeatures | <code>Partial&lt;CrudFeatures&gt;</code> |  |

<b>Returns:</b>

`void`


